import * as $dara from '@darabonba/typescript';
export declare class DescribeBgpNetworksResponseBodyBgpNetworksBgpNetwork extends $dara.Model {
    dstCidrBlock?: string;
    routerId?: string;
    status?: string;
    vpcId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeBgpNetworksResponseBodyBgpNetworks extends $dara.Model {
    bgpNetwork?: DescribeBgpNetworksResponseBodyBgpNetworksBgpNetwork[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeBgpNetworksResponseBody extends $dara.Model {
    bgpNetworks?: DescribeBgpNetworksResponseBodyBgpNetworks;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 6F513A15-669F-419D-B511-08A85292059B
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of advertised BGP networks.
     *
     * @example
     * 2
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
